Package org.jboss.classfilewriter

## Class ClassField

- java.lang.Object
- - org.jboss.classfilewriter.ClassField

All Implemented Interfaces:
  `WritableEntry`

    public class ClassField
    extends Object
    implements WritableEntry

A field in a class

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`int` `getAccessFlags​()`
`ClassFile` `getClassFile​()`
`String` `getDescriptor​()`
`String` `getName​()`
`AnnotationsAttribute` `getRuntimeVisibleAnnotationsAttribute​()`
`String` `getSignature​()`
`int` `hashCode​()`
`void` `setSignature​(String signature)`
`void` `write​(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### write

    public void write​(ByteArrayDataOutputStream stream)
               throws IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `IOException`

#### getAccessFlags

    public int getAccessFlags​()

#### getName

    public String getName​()

#### getDescriptor

    public String getDescriptor​()

#### getClassFile

    public ClassFile getClassFile​()

#### getSignature

    public String getSignature​()

#### setSignature

    public void setSignature​(String signature)

#### hashCode

    public int hashCode​()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### getRuntimeVisibleAnnotationsAttribute

    public AnnotationsAttribute getRuntimeVisibleAnnotationsAttribute​()